package com.example.tyre.maintenance.been;

import java.io.File;
import java.math.BigDecimal;

/**
 * 工单轮胎执行明细对象 biz_order_tire_detail
 * 
 * @author ruoyi
 * @date 2026-04-17
 */
public class BizOrderTireDetail {

    /**
     * 明细ID
     */
    private Long detailId;

    /**
     * 工单ID
     */
    private Long orderId;

    /**
     * 轮胎位置ID（关联位置表）
     */
    private Long positionId;
    private String positionName;

    /**
     * 轮胎ID（关联轮胎档案，如果是新胎可能为空或临时生成）
     */
    private Long tireId;

    /**
     * 轮胎编号（冗余字段，记录快照）
     */
    private String tireCode;

    /**
     * 花纹深度（mm）（截图中的10mm）
     */
    private String treadDepth;
    private String remark;
    /**
     * 胎压
     */
    private String tirePress;
    private String tirePressOld;// 胎压（旧值）

    /**
     * 轮胎状态描述（截图中的“新胎”、“模拟数据”）
     */
    private String tireStatus;
    // 数据类型（保养；换新胎，卸车；换新胎，装车）
    private String dataType;
    private BaseTyre baseTyre;//基础轮胎信息

    public String getTirePressOld() {
        return tirePressOld;
    }

    public void setTirePressOld(String tirePressOld) {
        this.tirePressOld = tirePressOld;
    }

    public BaseTyre getBaseTyre() {
        return baseTyre;
    }

    public void setBaseTyre(BaseTyre baseTyre) {
        this.baseTyre = baseTyre;
    }

    public String getDataType() {
        return dataType;
    }

    public void setDataType(String dataType) {
        this.dataType = dataType;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public void setDetailId(Long detailId) {
        this.detailId = detailId;
    }

    public Long getDetailId() {
        return detailId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setPositionId(Long positionId) {
        this.positionId = positionId;
    }

    public Long getPositionId() {
        return positionId;
    }

    public void setTireId(Long tireId) {
        this.tireId = tireId;
    }

    public Long getTireId() {
        return tireId;
    }

    public void setTireCode(String tireCode) {
        this.tireCode = tireCode;
    }

    public String getTireCode() {
        return tireCode;
    }

    public void setTreadDepth(String treadDepth) {
        this.treadDepth = treadDepth;
    }

    public String getTreadDepth() {
        return treadDepth;
    }

    public void setTirePress(String tirePress) {
        this.tirePress = tirePress;
    }

    public String getTirePress() {
        return tirePress;
    }

    public void setTireStatus(String tireStatus) {
        this.tireStatus = tireStatus;
    }

    public String getTireStatus() {
        return tireStatus;
    }

    public String getPositionName() {
        return positionName;
    }

    public void setPositionName(String positionName) {
        this.positionName = positionName;
        // 118	右外轮
        // 119	右内轮
        // 120	左内轮
        // 121	左外轮
        // 122	右前轮
        // 123	左前轮
        if (positionName.equals("右外轮")) {
            setPositionId(118L);
        } else if (positionName.equals("右内轮")) {
            setPositionId(119L);
        } else if (positionName.equals("左内轮")) {
            setPositionId(120L);
        } else if (positionName.equals("左外轮")) {
            setPositionId(121L);
        } else if (positionName.equals("右前轮")) {
            setPositionId(122L);
        } else if (positionName.equals("左前轮")) {
            setPositionId(123L);
        }
    }
}
